Create a VPC Peering
curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id}/peerings \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"peer_account_id": "acc-12345",
"peer_region_code": "aws-us-east-1",
"peer_vpc_id": "1234567890"
}
'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id}/peerings"
payload = {
"peer_account_id": "acc-12345",
"peer_region_code": "aws-us-east-1",
"peer_vpc_id": "1234567890"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
peer_account_id: 'acc-12345',
peer_region_code: 'aws-us-east-1',
peer_vpc_id: '1234567890'
})
};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/vpcs/{vpc_id}/peerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "1234567890",
"peer_account_id": "acc-12345",
"peer_region_code": "aws-us-east-1",
"peer_vpc_id": "1234567890",
"provisioned_id": "1234567890",
"status": "active",
"error_message": "VPC not found"
}{
"code": "<string>",
"message": "<string>"
}Create a VPC Peering
Creates a new VPC peering connection.
POST
/
projects
/
{project_id}
/
vpcs
/
{vpc_id}
/
peerings
Create a VPC Peering
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
The unique identifier of the VPC.
Example:
"1234567890"
Body
application/json
Response
VPC peering created successfully.